Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.api.jaxp
Class BXDocBuilder

    java.lang.Object
      javax.xml.parsers.DocumentBuilder
          org.basex.api.jaxp.BXDocBuilder

    public class BXDocBuilder

extends javax.xml.parsers.DocumentBuilder

This class provides a document builder.

Author:
  Workgroup DBIS, University of Konstanz 2005-08, ISC License, Christian Gruen

Method Summary
`org.w3c.dom.DOMImplementation` | `getDOMImplementation()`
`boolean` | `isNamespaceAware()`
`boolean` | `isValidating()`
`org.w3c.dom.Document` | `newDocument()`
`org.w3c.dom.Document` | `parse(org.xml.sax.InputSource is)`
`void` | `setEntityResolver(org.xml.sax.EntityResolver er)`
`void` | `setErrorHandler(org.xml.sax.ErrorHandler eh)`

Methods inherited from class javax.xml.parsers.DocumentBuilder
`getSchema, isXIncludeAware, parse, parse, parse, parse, reset`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getDOMImplementation

    public org.w3c.dom.DOMImplementation getDOMImplementation()

  Specified by:
    `getDOMImplementation` in class `javax.xml.parsers.DocumentBuilder`

### isNamespaceAware

    public boolean isNamespaceAware()

  Specified by:
    `isNamespaceAware` in class `javax.xml.parsers.DocumentBuilder`

### isValidating

    public boolean isValidating()

  Specified by:
    `isValidating` in class `javax.xml.parsers.DocumentBuilder`

### newDocument

    public org.w3c.dom.Document newDocument()

  Specified by:
    `newDocument` in class `javax.xml.parsers.DocumentBuilder`

### parse

    public org.w3c.dom.Document parse(org.xml.sax.InputSource is)
                               throws java.io.IOException

  Specified by:
    `parse` in class `javax.xml.parsers.DocumentBuilder`
  Throws:
    `java.io.IOException`

### setEntityResolver

    public void setEntityResolver(org.xml.sax.EntityResolver er)

  Specified by:
    `setEntityResolver` in class `javax.xml.parsers.DocumentBuilder`

### setErrorHandler

    public void setErrorHandler(org.xml.sax.ErrorHandler eh)

  Specified by:
    `setErrorHandler` in class `javax.xml.parsers.DocumentBuilder`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD